Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AspectFactoryWithClassLoaderSupport

    java.lang.Object
      org.jboss.aop.advice.AspectFactoryWithClassLoaderSupport

All Implemented Interfaces:
  AspectFactory, AspectFactoryWithClassLoader

Direct Known Subclasses:
  AspectFactoryDelegator, GenericAspectFactory

public abstract class AspectFactoryWithClassLoaderSupport
extends Object
implements AspectFactory, AspectFactoryWithClassLoader

Helper class to be able to set the classloader needed for loading up the aspects in the aspectfactories

Version:
  $Revision: 1.2 $
Author:
  Kabir Khan

Constructor Summary
`protected` | `AspectFactoryWithClassLoaderSupport()`

Method Summary
`protected ClassLoader` | `getLoader()`
`protected Class` | `loadClass(String name)`
`void` | `setClassLoader(ClassLoader cl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aop.advice.AspectFactory
`createPerClass, createPerInstance, createPerJoinpoint, createPerJoinpoint, createPerVM, getName`

Constructor Detail

### AspectFactoryWithClassLoaderSupport

    protected AspectFactoryWithClassLoaderSupport()

Method Detail

### setClassLoader

    public void setClassLoader(ClassLoader cl)

  Specified by:
    `setClassLoader` in interface `AspectFactoryWithClassLoader`

### getLoader

    protected ClassLoader getLoader()

### loadClass

    protected Class loadClass(String name)
                       throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.